scala.tools.nsc.Global

# GlobalMirror

###
Related Doc: package Global

#### class GlobalMirror extends Roots

Source
  Global.scala

Linear Supertypes
Global.Roots, Global.RootsBase, reflect.api.Mirror[Global.this.type], AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. GlobalMirror
2. Roots
3. RootsBase
4. Mirror
5. AnyRef
6. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new GlobalMirror()

### Type Members

1. #### class EmptyPackage extends reflect.internal.SymbolTable.ModuleSymbol with WellKnownSymbol

   Definition Classes
     Roots

2. #### class EmptyPackageClass extends reflect.internal.SymbolTable.PackageClassSymbol with WellKnownSymbol

   Definition Classes
     Roots

3. #### class RootClass extends reflect.internal.SymbolTable.PackageClassSymbol with RootSymbol

   Definition Classes
     Roots

4. #### class RootPackage extends reflect.internal.SymbolTable.ModuleSymbol with RootSymbol

   Definition Classes
     Roots

5. #### sealed trait RootSymbol extends reflect.internal.SymbolTable.Symbol with WellKnownSymbol with reflect.internal.SymbolTable.RootSymbol

   Definition Classes
     Roots

6. #### sealed trait WellKnownSymbol extends reflect.internal.SymbolTable.Symbol

   Definition Classes
     Roots

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from GlobalMirror to any2stringadd[GlobalMirror] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (GlobalMirror, B)

   Implicit information
     This member is added by an implicit conversion from GlobalMirror to ArrowAssoc[GlobalMirror] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   arg0

     the object to compare against this object for equality.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     AnyRef → Any

6. #### lazy val EmptyPackage: EmptyPackage

   Definition Classes
     Roots → RootsBase → Mirror

7. #### lazy val EmptyPackageClass: EmptyPackageClass

   Definition Classes
     Roots → RootsBase → Mirror

8. #### lazy val RootClass: RootClass

   Definition Classes
     Roots → RootsBase → Mirror

9. #### lazy val RootPackage: RootPackage

   Definition Classes
     Roots → RootsBase → Mirror

10. #### final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown

      `ClassCastException` if the receiver object is not an instance of the erasure of type `T0`.

11. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
    Note

      not specified by SLS as a member of AnyRef

12. #### def ensuring(cond: (GlobalMirror) ⇒ Boolean, msg: ⇒ Any): GlobalMirror

    Implicit information
      This member is added by an implicit conversion from GlobalMirror to Ensuring[GlobalMirror] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### def ensuring(cond: (GlobalMirror) ⇒ Boolean): GlobalMirror

    Implicit information
      This member is added by an implicit conversion from GlobalMirror to Ensuring[GlobalMirror] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### def ensuring(cond: Boolean, msg: ⇒ Any): GlobalMirror

    Implicit information
      This member is added by an implicit conversion from GlobalMirror to Ensuring[GlobalMirror] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### def ensuring(cond: Boolean): GlobalMirror

    Implicit information
      This member is added by an implicit conversion from GlobalMirror to Ensuring[GlobalMirror] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

16. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

17. #### def equals(arg0: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. Default implementation delegates to `eq`.

    See also `equals` in scala.Any.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AnyRef → Any

18. #### def erasureName[T](implicit arg0: ClassTag[T]): String

    Definition Classes
      RootsBase

19. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
    Note

      not specified by SLS as a member of AnyRef

20. #### def findMemberFromRoot(fullName: Global.Name): Global.Symbol

    Definition Classes
      RootsBase

21. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from GlobalMirror to StringFormat[GlobalMirror] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

22. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

23. #### def getClassByName(fullname: Global.Name): Global.ClassSymbol

    Definition Classes
      RootsBase

24. #### def getClassIfDefined(fullname: Global.Name): Global.Symbol

    Definition Classes
      RootsBase

25. #### def getClassIfDefined(fullname: String): Global.Symbol

    Definition Classes
      RootsBase

26. #### def getModuleByName(fullname: Global.Name): Global.ModuleSymbol

    Definition Classes
      RootsBase

27. #### def getModuleIfDefined(fullname: Global.Name): Global.Symbol

    Definition Classes
      RootsBase

28. #### def getModuleIfDefined(fullname: String): Global.Symbol

    Definition Classes
      RootsBase

29. #### def getPackage(fullname: Global.TermName): Global.ModuleSymbol

    Definition Classes
      RootsBase

30. #### def getPackageIfDefined(fullname: Global.TermName): Global.Symbol

    Definition Classes
      RootsBase

31. #### def getPackageObject(fullname: Global.TermName): Global.ModuleSymbol

    Definition Classes
      RootsBase

32. #### def getPackageObject(fullname: String): Global.ModuleSymbol

    Definition Classes
      RootsBase

33. #### def getPackageObjectIfDefined(fullname: Global.TermName): Global.Symbol

    Definition Classes
      RootsBase

34. #### def getPackageObjectIfDefined(fullname: String): Global.Symbol

    Definition Classes
      RootsBase

35. #### final def getPackageObjectWithMember(pre: Global.Type, sym: Global.Symbol): Global.Symbol

    Definition Classes
      RootsBase

36. #### def getRequiredClass(fullname: String): Global.ClassSymbol

    Definition Classes
      RootsBase

37. #### def getRequiredModule(fullname: String): Global.ModuleSymbol

    Definition Classes
      RootsBase

38. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in scala.Any.

    returns

      the hash code value for this object.

    Definition Classes
      AnyRef → Any

39. #### def init(): Unit

    Definition Classes
      RootsBase

40. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

41. #### def isMirrorInitialized: Boolean

    Definition Classes
      RootsBase

42. #### def mirrorMissingHook(owner: Global.Symbol, name: Global.Name): Global.Symbol

    Attributes
      protected
    Definition Classes
      RootsBase

43. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

44. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

45. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

46. #### def requiredClass[T](implicit arg0: ClassTag[T]): Global.ClassSymbol

    Definition Classes
      RootsBase

47. #### def requiredModule[T](implicit arg0: ClassTag[T]): Global.ModuleSymbol

    Definition Classes
      RootsBase

48. #### def rootLoader: Global.LazyType

    Definition Classes
      GlobalMirror → RootsBase

49. #### def staticClass(fullname: String): Global.ClassSymbol

    Definition Classes
      RootsBase → Mirror

50. #### def staticModule(fullname: String): Global.ModuleSymbol

    Definition Classes
      RootsBase → Mirror

51. #### def staticPackage(fullname: String): Global.ModuleSymbol

    Definition Classes
      RootsBase → Mirror

52. #### def symbolOf[T](implicit arg0: Global.WeakTypeTag[T]): Global.TypeSymbol

    Definition Classes
      RootsBase → Mirror

53. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

54. #### def toString(): String

    Creates a String representation of this object.

    Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

    returns

      a String representation of the object.

    Definition Classes
      GlobalMirror → AnyRef → Any

55. #### def typeOf[T](implicit arg0: Global.TypeTag[T]): Global.Type

    Definition Classes
      Mirror

56. #### val universe: Global.this.type

    Definition Classes
      GlobalMirror → Mirror

57. #### def universeMissingHook(owner: Global.Symbol, name: Global.Name): Global.Symbol

    Attributes
      protected
    Definition Classes
      RootsBase

58. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

59. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

60. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

61. #### def weakTypeOf[T](implicit arg0: Global.WeakTypeTag[T]): Global.Type

    Definition Classes
      Mirror

62. #### final def wrapMissing(body: ⇒ Global.Symbol): Global.Symbol

    Definition Classes
      RootsBase
    Annotations
      @inline()

63. #### def →[B](y: B): (GlobalMirror, B)

    Implicit information
      This member is added by an implicit conversion from GlobalMirror to ArrowAssoc[GlobalMirror] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Deprecated Value Members

1. #### def getRequiredPackage(fullname: String): Global.ModuleSymbol

   Definition Classes
     RootsBase
   Annotations
     @deprecated
   Deprecated

     (Since version 2.11.0) Use getPackage

### Inherited from Global.Roots

### Inherited from Global.RootsBase

### Inherited from reflect.api.Mirror[Global.this.type]

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from GlobalMirror to any2stringadd[GlobalMirror]

### Inherited by implicit conversion StringFormat from GlobalMirror to StringFormat[GlobalMirror]

### Inherited by implicit conversion Ensuring from GlobalMirror to Ensuring[GlobalMirror]

### Inherited by implicit conversion ArrowAssoc from GlobalMirror to ArrowAssoc[GlobalMirror]

### Ungrouped